| Elektra 0.11.0

Enumerations
kdblogger.h File Reference

Logger Interface. More...

`#include "kdbconfig.h"`
`#include "kdbmacros.h"`

## Enumerations
enum | ElektraLogLevel { ELEKTRA_LOG_LEVEL_ERROR = 16 , ELEKTRA_LOG_LEVEL_WARNING = 8 , ELEKTRA_LOG_LEVEL_NOTICE = 4 , ELEKTRA_LOG_LEVEL_INFO = 2 , ELEKTRA_LOG_LEVEL_DEBUG = 1 }

## Detailed Description

Logger Interface.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Enumeration Type Documentation

## ◆ ElektraLogLevel

enum ElektraLogLevel

Enumerator
ELEKTRA_LOG_LEVEL_ERROR | assertion failed, will abort Should only be used by ELEKTRA_ASSERT, not by other code!
ELEKTRA_LOG_LEVEL_WARNING | something happened an end user would be interested in The action requested by the user failed in an unusual way, e.g. no memory. This level is especially for API misuse, something we want to report the user but otherwise could not (e.g. because we are not in kdb* context and cannot yield warnings/errors).
ELEKTRA_LOG_LEVEL_NOTICE | something important happened which usually should not Despite its name this level can be used for errors, failed activities and so on, if other plugins or similar might recover the error, the action will be retried, and/or the user will not notice or notice by warnings/errors/return value anyway.
ELEKTRA_LOG_LEVEL_INFO | The standard log level. Use it to report mentionable occurrences which do not flood the system too badly. They should be indicative for what the problem is in the most cases.
ELEKTRA_LOG_LEVEL_DEBUG | The debug log level. Can be used to log anything which was useful to debug the code. Is usually only turned on by the developer itself and you do not need consider the number of output it produces (expected to be used together with line-based suppressions in log.c).